# Uses of Class
org.w3c.tidy.TidyMessage.Level

Packages that use TidyMessage.Level
Package
Description
org.w3c.tidy

## Uses of TidyMessage.Level in org.w3c.tidy

Fields in org.w3c.tidy declared as TidyMessage.Level
Modifier and Type
Field
Description
`static final TidyMessage.Level`
TidyMessage.Level.`ERROR`
level = error (3).
`static final TidyMessage.Level`
TidyMessage.Level.`INFO`
level = info (1).
`static final TidyMessage.Level`
TidyMessage.Level.`SUMMARY`
level = summary (0).
`static final TidyMessage.Level`
TidyMessage.Level.`WARNING`
level = warning (2).
Methods in org.w3c.tidy that return TidyMessage.Level
Modifier and Type
Method
Description
`static TidyMessage.Level`
TidyMessage.Level.`fromCode(int code)`
Returns the Level instance corresponding to the given int value.
`TidyMessage.Level`
TidyMessage.`getLevel()`
Getter for `level`.
Methods in org.w3c.tidy with parameters of type TidyMessage.Level
Modifier and Type
Method
Description
`protected String`
Report.`getMessage(int errorCode, Lexer lexer, String message, Object[] params, TidyMessage.Level level)`
Generates a complete message for the warning/error.
Constructors in org.w3c.tidy with parameters of type TidyMessage.Level
Modifier
Constructor
Description
``
`TidyMessage(int errorCode, int line, int column, TidyMessage.Level level, String message)`
Instantiates a new message.